Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class MultiArgumentImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.MultiArgumentImpl

All Implemented Interfaces:
  Argument, BuiltInArgument, MultiArgument

    public class MultiArgumentImpl

extends BuiltInArgumentImpl
implements MultiArgument

A class used to bind multiple arguments to a built-in argument

Constructor Summary
`MultiArgumentImpl(String variableName, String prefixedVariableName)`
`MultiArgumentImpl(String variableName, String prefixedVariableName, List<BuiltInArgument> arguments)`

Method Summary
`void` | `addArgument(BuiltInArgument argument)`
`List<BuiltInArgument>` | `getArguments()`
`int` | `getNumberOfArguments()`
`boolean` | `hasNoArguments()`
`void` | `setArguments(List<BuiltInArgument> arguments)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`equals, getBuiltInResult, getPrefixedVariableName, getVariableName, hashCode, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Constructor Detail

### MultiArgumentImpl

    public MultiArgumentImpl(String variableName,
                             String prefixedVariableName)

### MultiArgumentImpl

    public MultiArgumentImpl(String variableName,
                             String prefixedVariableName,
                             List<BuiltInArgument> arguments)

Method Detail

### addArgument

    public void addArgument(BuiltInArgument argument)

  Specified by:
    `addArgument` in interface `MultiArgument`

### setArguments

    public void setArguments(List<BuiltInArgument> arguments)

  Specified by:
    `setArguments` in interface `MultiArgument`

### getArguments

    public List<BuiltInArgument> getArguments()

  Specified by:
    `getArguments` in interface `MultiArgument`

### getNumberOfArguments

    public int getNumberOfArguments()

  Specified by:
    `getNumberOfArguments` in interface `MultiArgument`

### hasNoArguments

    public boolean hasNoArguments()

  Specified by:
    `hasNoArguments` in interface `MultiArgument`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.